Subject: RE: http-gw and tag processing

From: "Randal, Phil" <[email-masked]>
Date: Wed, 5 Jul 2000 13:45:15 +0100

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

> > I am new to this list, so my apologies if I am covering old ground.
> We discovered that http-gw is truncating value="...." fields in
> html files when sending them to us. Looking at the code, I see
> that it doesn't allow quoted values to be longer than 1026 bytes.
> Is there some sound reason for this restriction? Or is it simply
> a case of no one thinking a quoted value would ever be longer than
> this value?
> 
> ...Michael Levy
> VPR&D NewHeights Software

I've had a brief look at this, and Michael's right.  It also
is the cause of problems setting up product profiles on the
excellent www.filewatch.com.

Has anyone patched http-gw so that it works with FileWatch? I
tried with large buffers (100K bytes) without success.

Any ideas, insights, or cures?

Phil
------------------------------------------------------------
Phil Randal
Network Engineer
Herefordshire Council, UK